Skip to main content
GET
/
vendors
/
{vendorId}
/
security-reviews
/
{securityReviewId}
Get security review by ID
curl --request GET \
  --url https://api.vanta.com/v1/vendors/{vendorId}/security-reviews/{securityReviewId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "a2f7e1b9d0c3f4e5a6c7b8d8",
  "vendorId": "6696e9bca247cbdf1c8e5054",
  "decisionNotes": "No major concerns, limited sharing of data, low security risk.",
  "comments": "If we expand our deal with them we will need to re-review in May.",
  "completedByUserId": "6696ea0595df50d5cd6ec3b7",
  "startDate": "2024-02-01T00:00:00.000Z",
  "dueDate": "2024-03-01T00:00:00.000Z",
  "overrideDueDate": "2024-03-15T00:00:00.000Z",
  "completionDate": "2024-03-10T00:00:00.000Z",
  "decision": {
    "status": "APPROVED",
    "lastUpdatedAt": "2024-03-17T00:00:00.000Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vendorId
string
required
securityReviewId
string
required

Response

200 - application/json

Ok

id
string
required

Unique identifier for the security review.

vendorId
string
required

Unique identifier for the vendor.

decisionNotes
string | null
required

Notes about the security review's decision status.

comments
string | null
required

Comments about the security review.

completedByUserId
string | null
required

The Vanta user ID of the person who completed this review.

startDate
string<date-time> | null
required

The timestamp of the when the security review was started.

dueDate
string<date-time> | null
required

The timestamp of the when the security review is due.

overrideDueDate
string<date-time> | null
required

A manual override timestamp of the when the security review is due.

completionDate
string<date-time> | null
required

The timestamp of the when the security review was marked as completed.

decision
object
required

An object containing information about the decision of the review.